<?php

if(isset($_POST['msgset']))
{
$err=''; #$ufreq='';
if($user['accept']!=77)$ufreq=str_replace('%','',$_POST['freq']); else $ufreq=$_POST['freq'];

if(strlen2($ufreq)>16)$err.="Допускается всего 16 символов";
if($ufreq=='')mset_msg("Установлена частота локации");
$ufreq=mysql_real_escape_string(ft_nic($ufreq));
  if ($err=='')
  {
    mysql_query("UPDATE `user` SET `freq`='$ufreq' WHERE `id`='$user[id]' LIMIT 1");
    if(mysql_affected_rows()>0)
    {
    $user['freq']=$ufreq;
    mset_msg("Частота изменена");
    }
  }
if($err)mset_err($err);
}

$_SESSION['title']="Настроить частоту вещания";
heads($headers_page, $set_ob_start);   //подключение шапки
include_once SYS."/navmenu.php";
if($user['accept']==77)
{
$freqs=mysql_query("SELECT `freq` FROM `logs` GROUP BY `freq`");
}
echo "<form class='c03' action='' method='post'>";
if($user['accept']==77)
{
echo "Все частоты<br />";
  if (mysql_num_rows($freqs))
  {
echo "<select name='afreq'>";
    while($dataf=mysql_fetch_assoc($freqs))
      {
      echo "<option value='$dataf[freq]'>$dataf[freq]</option>";
      }
echo "</select><br />";
  }
}
echo "Частота (16 симв.)<br />";
echo "<input title='частота вещания' type='text' name='freq' value='$user[freq]' />";
echo "<br /> <input title='сохранить' type='submit' name='msgset' value='сохранить' />";
echo "</form>";

?>